<?php
session_start();
$for = $_POST['format'];
$idvysetreni = $_POST['idvys'];
$poznamka = $_POST['title'];
$popisecek = $_POST['popisek'];
if ($_SESSION['vrc']==null){
$hledejpr=$_SESSION['smazatpr'];
$hledejrc=$_SESSION['smazatrc'];
$hledejrc_hash=md5($hledejrc);
}

if ($_SESSION['vrc']!=null){
$hledejrc_hash=$_SESSION['vrc'];
$hledejpr=null;
$hledejrc=1;
}
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>

<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
           <div class="item">
        <h2>Upload dokončen </h2>
        <br />
        <ul class="info">
          <li>Dnes</li>
          <li class="tag">Info</li>
               </ul>
<?php
$typ= $_FILES["file"]["type"];
if ($poznamka!=null){

if ($for == ZIP){
if ($typ == "archive/zip"){
//zde napsat kod pro zip
if ($_FILES["file"]["error"] > 0)
  {
  echo "Error: " . $_FILES["file"]["error"] . "<br />";
  }
  if (file_exists("zip/" . $_FILES["file"]["name"]))
      {
      echo "Ukládaná data již existují. ";
      }
    else
      {
        echo "Nahráno: " . $_FILES["file"]["name"] . "<br />";
//  echo "Typ: " . $_FILES["file"]["type"] . "<br />";
  echo "Velikost: " . ($_FILES["file"]["size"] / 1024) . " Kb<br />";
      move_uploaded_file($_FILES["file"]["tmp_name"], "zip/" . $_FILES["file"]["name"]);
      //echo "Místo uložení: " . "upload/$hledejrc_hash/" . $_FILES["file"]["name"];
      $nazev=$_FILES["file"]["name"];
      $zip = new ZipArchive;
$res = $zip->open("zip/$nazev");
if ($res === TRUE) {
       $zip->extractTo("menu/upload/$hledejrc_hash/");
 //      $zip->extractTo("/upload/$hledejrc_hash/");
    $zip->close();
    echo 'Soubor se automaticky rozbalil';
} else {
    echo 'Rozbalení se nezdařilo';
}
}
}

if ($typ != "archive/zip" AND $for == ZIP){
echo "Byl zvolen formát ZIP, prosím přidejte soubor ve formátu ZIP";
}

if ($typ != "application/octet-stream" AND $for == NII){
echo "Byl zvolen formát NII, prosím přidejte soubor ve formátu NII";
}
}




if ($for == NII){
if ($typ == "application/octet-stream"){
if ($_FILES["file"]["error"] > 0)
  {
  echo "Error: " . $_FILES["file"]["error"] . "<br />";
  }
  if (file_exists("upload/$hledejrc_hash/" . $_FILES["file"]["name"]))
      {
      echo "Ukládaná data již existují. ";
      }
    else
      {
        echo "Nahráno: " . $_FILES["file"]["name"] . "<br />";
//  echo "Typ: " . $_FILES["file"]["type"] . "<br />";
  echo "Velikost: " . ($_FILES["file"]["size"] / 1024) . " Kb<br />";
      move_uploaded_file($_FILES["file"]["tmp_name"], "menu/upload/$hledejrc_hash/" . $_FILES["file"]["name"]);
      //echo "Místo uložení: " . "upload/$hledejrc_hash/" . $_FILES["file"]["name"];
      }
}

}

 }
 if ($poznamka==null){
               echo "Prosím vyplňte i jméno souboru.";
                }
echo $typ;
echo $for;   
?> 


      </div>      
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
           <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
           <li><a href="menu/mysql.php">Zpět do hlavního menu</a></li>
            <li><a href="menu/upravit.php">Zpět na pacienta</a></li>
          </ul>
      </div>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>
